// 如果存在Origin头，则优先使用Origin头中的域名，否则使用Referer头中的域名。
let domain = payload.get().headers["Origin"]
if (!domain) {
    domain = payload.get().headers["Referer"]
}

if (domain) {
    let ref = new URL(domain)
    // console.log("Source:", ref.hostname)

    // 如果不匹配，则返回403错误。
    // if (!ref.hostname.endsWith('qq.com') &&
    //     !ref.hostname.endsWith('l-l.cn') &&
    //     !ref.hostname.endsWith('dx5.cn') &&
    //     !ref.hostname.endsWith('localhost') &&
    //     !ref.hostname.endsWith('127.0.0.1')) {
    //     console.error(domain)
    //     return errMsg(403, "未授权的请求")
    // }
} else {
    domain = "*"
    // 是否允许Origin 或 Referer 为空 - 如果不允许，将返回403错误。（如果不允许则打开注释）
    // return errMsg(403, "未授权的请求")
}